Skip to main content
GET
Retrieve the metadata of a metric ingested by

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

metric_id
string<uuid>
required

The ID of the metric to retrieve

Response

Metric definition retrieved successfully

Metadata for a metric sent to Bronto

metric_id
string<uuid>
required

unique identifier of the metric

Maximum string length: 36
Example:

"b013a07d-aa13-47c1-9c74-635e42b22cbb"

metric_name
string
required

the name of the metric as ingested

Required string length: 1 - 255
Example:

"system.cpu.utilization"

type
enum<string>
required

the type of the metric

Available options:
GAUGE,
SUM,
SUMMARY,
HISTOGRAM
Example:

"GAUGE"

description
string

the description of the metric if provided

Maximum string length: 255
Example:

"Difference in system.cpu.time since the last measurement per logical CPU, divided by the elapsed time (value in interval [0,1])."

unit
string

the unit of the metric, if available

Required string length: 1 - 20
Example:

"s"

aggregation_temporality
enum<string>

the type of aggregation of the metric as ingested. Applies only to SUM and HISTOGRAM metrics

Available options:
DELTA,
CUMULATIVE
Example:

"DELTA"

default_aggregation
enum<string>

Suggested aggregation for the metric

Available options:
sum,
avg,
min,
max,
count
metadata
object